Financing SummaryPreview

A financing object describes an account’s current financing state. Used by Connect platforms to read the state of Capital offered to their connected accounts.

The Financing Summary objectPreview

Attributes

  • objectstring

    The object type: financing_summary

  • detailsnullable object

    Additional information about the financing summary. Describes currency, advance amount, fee amount, withhold rate, remaining amount, paid amount, current repayment interval, repayment start date, and advance payout date.

  • financing_offernullable string

    The Financing Offer ID this Financing Summary corresponds to

  • statusnullable enumDeprecated

    Status of the Connected Account’s financing. /v1/capital/financing_summary will only return details for paid_out financing.

    Possible enum values
    accepted

    The Connected account has an accepted financing offer.

    delivered

    A financing offer has been marketed to the Connected account, but the account has not yet accepted.

    none

    The Connected account does not have any active financing.

The Financing Summary object
{
"object": "capital.financing_summary",
"details": {
"advance_amount": 100000,
"advance_paid_out_at": 1688424277.0578003,
"currency": "usd",
"current_repayment_interval": null,
"fee_amount": 10000,
"paid_amount": 100263,
"remaining_amount": 9737,
"repayments_begin_at": 1688424277.0577993,
"withhold_rate": 0.05
},
"financing_offer": "financingoffer_1NPvU12eZvKYlo2CotjdGRzu",
"status": "accepted"
}

Retrieve financing summary

Retrieve the financing state for the account that was authenticated in the request.

Parameters

No parameters.

Returns

Returns a financing summary for the account

GET /v1/capital/financing_summary
curl https://api.stripe.com/v1/capital/financing_summary \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-H "Stripe-Version: 2025-11-17.clover" \
-H "Stripe-Account: {{CONNECTED_ACCOUNT_ID}}"
Response
{
"object": "capital.financing_summary",
"details": {
"advance_amount": 100000,
"advance_paid_out_at": 1688424277.0578003,
"currency": "usd",
"current_repayment_interval": null,
"fee_amount": 10000,
"paid_amount": 100263,
"remaining_amount": 9737,
"repayments_begin_at": 1688424277.0577993,
"withhold_rate": 0.05
},
"financing_offer": "financingoffer_1NPvU12eZvKYlo2CotjdGRzu",
"status": "accepted"
}